Summary: X11 damaged region extension library
Name: libXdamage
Version: 1.1.5
Release: 3%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: make autoconf automake libtool 
BuildRequires: xorg-x11-util-macros 
BuildRequires: pkgconfig(xfixes) pkgconfig(damageproto) >= 1.1.0

%description
libXdamage provides an X Window System client interface to the DAMAGE extension to the X protocol.
The Damage extension provides for notification of when on-screen regions have been 'damaged' (altered).


%package devel
Summary: Development files for libXdamage
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXdamage development package.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig    
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README.md ChangeLog NEWS
%{_libdir}/libXdamage.so.1
%{_libdir}/libXdamage.so.1.1.0

%files devel
%{_includedir}/X11/extensions/Xdamage.h
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 04 2022 Wang Zhe <bessiewang@tencent.com> - 1.1.5-1
- initial build
